Kepler - Bug #3890

EML 2 Dataset has trouble with a certain data table
03/16/2009 01:49 PM - Oliver Soong

Status: Resolved Start date: 03/16/2009
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: data access Estimated time: 0.00 hour
Target version: 2.0.0 Spent time: 0.00 hour
Bugzilla-ld: 3890

Description

Kepler 1.0.0, Java 1.6.0_11, XP 64-bit

Kepler has difficulty with table Dailyrain2004.txt from judithk.609.21 in KNB. The workflow at the URL is simply the EML 2 Dataset
actor for that table and nothing else. The error message is not particularly helpful.

History

#1 - 05/11/2009 05:21 PM - ben leinfelder

Found that "tab delimited" datatables from Morpho are using "#x09" as the character. This does not work with the HSQL TEXT TABLE feature.
Added a new mapping to the config.xml file so that "#x" prefixes are changed to "\u00" as supported in hsql.

Note: need to add this to any and all config.xml files that we plan on using (at least until the configurations become more centralized.

| changed the config.xml in the following modules:

-common

-reporting

-workflow-run-manager

-wrp

#2 - 05/12/2009 10:26 AM - ben leinfelder

retargeting to 2.0 - want to have this resolved by then (configuration)

#3 - 05/12/2009 11:04 AM - ben leinfelder

works for me now. can reopen if turns out the fix was not fully adequate.

#4 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3890
